POST api/contractItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "0b43ee47-d13c-45c9-b25a-9aa4522b0bcc",
"selected_nameplate_id": "02bf44fb-cf02-43a9-8064-4138e04d233c",
"active": true,
"contract_id": "01865c20-f389-4f8a-88f6-98fc8d13ed18",
"id": "c307d3bc-9cca-44b3-91b4-e52b6eebe507",
"physical_item_id": "8de03ae4-ecf2-44d9-b966-9079d3124d27",
"service_item_id": "1c695eb7-5ca2-408d-a0af-0cd6e23a88e3",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>01865c20-f389-4f8a-88f6-98fc8d13ed18</contract_id>
<id>c307d3bc-9cca-44b3-91b4-e52b6eebe507</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>8de03ae4-ecf2-44d9-b966-9079d3124d27</physical_item_id>
<quantity>1</quantity>
<service_item_id>1c695eb7-5ca2-408d-a0af-0cd6e23a88e3</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>02bf44fb-cf02-43a9-8064-4138e04d233c</selected_nameplate_id>
<selected_sticker_id>0b43ee47-d13c-45c9-b25a-9aa4522b0bcc</selected_sticker_id>
</contract_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"258d2a15-1226-4ecb-a92a-512880eff1ab"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">258d2a15-1226-4ecb-a92a-512880eff1ab</guid>